<?php
// spamControl.
// Description: Force visitors to challenge a captcha before they can continue (with whatever). 
// Created by Magne Nygaard
// Version 1.0
// Info: http://mrmagne.com/spamcontrol

include("config.php");

if($_POST['go'] == TRUE) {

	$display_error = FALSE;
	
	require_once('recaptchalib.php');
	$privatekey = "$capcha_privatekey";
	$resp = recaptcha_check_answer ($privatekey, $_SERVER["REMOTE_ADDR"], $_POST["recaptcha_challenge_field"], $_POST["recaptcha_response_field"]);

	// If code is WRONG, do this.
	if (!$resp->is_valid) {
		
		$display_error = TRUE;
		//die ("The reCAPTCHA wasn't entered correctly. Go back and try it again." . "(reCAPTCHA said: " . $resp->error . ")");
	}
	
	// If code is CORRECT, do this.
	else {
	
	// Set cookie with spampass key.
	setcookie("spampass", $spampass, 0, '/');

	// Send the visitor back.
	header("location: ".$_COOKIE['return']);	
	}
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link href='http://fonts.googleapis.com/css?family=Open+Sans:400,800,700' rel='stylesheet' type='text/css'>
<title><?php echo $site_title; ?></title>
<style type="text/css">
<!--
* {
	font-family: 'Open Sans', sans-serif;
	font-size: 13px;
	margin: 0;
	padding: 0;
}
body {
	background-color: whitesmoke;
}
.shaddow {
	-moz-box-shadow: 3px 3px 5px gainsboro;
	-webkit-box-shadow: 3px 3px 5px gainsboro;
	box-shadow: 3px 3px 5px gainsboro;
}
h1 {
	font-family: 'Open Sans', sans-serif;
	font-size: 24px;
	font-weight: 800;
}
.heading {
	width: 600px;
	margin-top: 100px;
	margin-left: auto;
	margin-right: auto;
}
.wrapper {
	width: 600px;
	padding: 20px;
	margin-top: 20px;
	margin-left: auto;
	margin-right: auto;
	border: gainsboro solid 1px;
	background-color: #FFFFFF;
	overflow: hidden;
}
.left {
	float: left;
	width: 340px;
}
.right {
	float: left;
	width: 260px;
}
.button {
	font-weight: bold;
	padding: 10px 30px 10px 30px;
	margin-top: 25px;
	cursor: pointer;
	background-color: #ca3421;
	color: #FFFFFF;
	border: #860400 solid 1px;
	letter-spacing: 1px;
}
.error_message {
	width: 620px;
	padding: 10px;
	margin-top: 10px;
	margin-left: auto;
	margin-right: auto;
	background-color: #ca3421;
	color: #FFFFFF;
	border: #860400 solid 1px;
	font-weight: bold;
	letter-spacing: 1px;
}
.footer {
	bottom: 30px;
	width: 100%;
	position: fixed;
	text-align: center;
}	
-->
</style>
</head>

<body>

<div class="heading">
	<center><h1><?php echo $heading; ?></h1></center>
</div>


<div class="wrapper shaddow">

	<form method="post" action="">
	<div class="left">
		<?php
		require_once('recaptchalib.php');
		$publickey = "$capcha_publickey";
		echo recaptcha_get_html($publickey);
		?>
	</div><!-- end left -->

	<div class="right">
		<?php echo $info; ?>
        <input name="go" type="hidden" value="go" />
   		<input class="button" type="submit" value="<?php echo $button_text; ?>" />
	</div><!-- end right -->
	</form>
    
</div><!-- end wrapper -->

<?php if($display_error == TRUE) { ?>
<div class="error_message shaddow">
	<?php echo $error_wrong_code; ?>
</div>
<?php } ?>

<div class="footer">
<?php echo $footer_credits; ?> (<?php echo $visitor_country; ?>)
</div><!-- end footer -->

</body>
</html>
